package com.xxl.job.executor.jobhandler;

import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.executor.report.service.IByteDanceVideoReportDailyService;
import com.xxl.job.executor.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 头条视频报表清洗数据定时任务
 *
 * @author sunzhen
 */
@Component
public class ByteDanceVideoReportETLJob {
    @Autowired
    private IByteDanceVideoReportDailyService byteDanceVideoReportDailyService;

    @XxlJob("byteDanceVideoReport")
    public void execute() {
        String getDate2 = DateUtils.formatDate(DateUtils.addDay(new Date(), -2));
        XxlJobHelper.log("头条视频报表清洗数据定时任务开始, 执行时间为：" + getDate2);
        byteDanceVideoReportDailyService.videoInfoList(getDate2, getDate2);

        String getDate = DateUtils.formatDate(DateUtils.addDay(new Date(), -1));
        XxlJobHelper.log("头条视频报表清洗数据定时任务开始, 执行时间为：" + getDate);
        byteDanceVideoReportDailyService.videoInfoList(getDate, getDate);
    }
}
