package com.xxl.job.executor.jobhandler;

import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.executor.report.service.IBytedancePlanDailyReportService;
import com.xxl.job.executor.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@Component
public class BytedancePlanHourlyReportETLJob {
    @Autowired
    private IBytedancePlanDailyReportService planDailyReportService;

    @XxlJob("bytedancePlanHourlyReportETLJob")
    public void execute() {
        Date getDate = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("HH");
        String hour = simpleDateFormat.format(getDate);
        if ("00".equals(hour)) {
            Date lastday = DateUtils.addDay(getDate, -1);
            planDailyReportService.cleanYddHourlyChannelCode(419, lastday);
        }
        planDailyReportService.cleanYddHourlyChannelCode(419, getDate);
        XxlJobHelper.log("头条时报数据获取结束");
    }
}
